package com.bonus.hn.bearing.capacity.backstage.select.service;

import com.bonus.hn.bearing.capacity.backstage.companypro.dao.ProjectManagerDao;
import com.bonus.hn.bearing.capacity.backstage.companypro.entity.ProjectManagerBean;
import com.bonus.hn.bearing.capacity.backstage.companypro.service.ProjectManagerService;
import com.bonus.hn.bearing.capacity.backstage.select.dao.SelectDao;
import com.bonus.hn.bearing.capacity.backstage.select.entity.DataDictBean;
import com.bonus.hn.bearing.capacity.backstage.select.entity.SelectBean;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 包名称：com.bonus.hn.bearing.capacity.backstage.companypro.service
 * 类名称：ProjectManagerServiceImpl
 * 类描述：
 * 创建人：@author xxxxxx
 * 创建时间：2023年11月06日 16:27
 */
@Service("SelectService")
public class SelectServiceImpl implements SelectService {

    @Resource
    private ProjectManagerDao dao;

    @Resource
    private SelectDao selectDao;


    @Override
    public List<ProjectManagerBean> getProjectManagementTeamsList(ProjectManagerBean o) {
        return dao.getProjectManagerTeamsList(o);
    }


    @Override
    public List<DataDictBean> getDataDictByDickVal(DataDictBean orgType) {
        return selectDao.getDataDictByDickVal(orgType);
    }

    @Override
    public List<SelectBean> getStandardTeamTypeForSubTeamId(SelectBean o) {
        return selectDao.getStandardTeamTypeForSubTeamId(o);
    }

    @Override
    public List<SelectBean> getSub(SelectBean o) {
        return selectDao.getSub(o);
    }

    @Override
    public List<SelectBean> getStandardTeamType(SelectBean o) {
        return selectDao.getStandardTeamType(o);
    }

    @Override
    public List<SelectBean> getStrandTeamType(SelectBean o) {
        return selectDao.getStrandTeamType(o);
    }

    @Override
    public List<SelectBean> getAnnouncementType(SelectBean o) {
        return selectDao.getAnnouncementType(o);
    }

    @Override
    public List<SelectBean> getReleaseData(SelectBean o) {
        return selectDao.getReleaseData(o);
    }
    @Override
    public List<SelectBean> getProcessEquipment(SelectBean o) {
        return selectDao.getProcessEquipment(o);
    }
    @Override
    public List<SelectBean> getProcessEquipments(SelectBean o) {
        return selectDao.getProcessEquipments(o);
    }
}
